summary refs log tree commit diff
path: root/contrib/scripts/code-style-git-post-commit-hook
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/scripts/code-style-git-post-commit-hook')
-rwxr-xr-xcontrib/scripts/code-style-git-post-commit-hook21
1 files changed, 21 insertions, 0 deletions
diff --git a/contrib/scripts/code-style-git-post-commit-hook b/contrib/scripts/code-style-git-post-commit-hook
new file mode 100755
index 00000000..8d464842
--- /dev/null
+++ b/contrib/scripts/code-style-git-post-commit-hook
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+DISABLED=${NM_HOOK_DISABLED:0}
+
+if [ "$DISABLED" == 1 ]; then
+    echo "COMMIT HOOK DISABLED"
+    exit 0
+fi
+
+FORMATTER=contrib/scripts/nm-code-format.sh
+
+# Filter only C source files
+CHANGED_FILES=$(git log --pretty='' --name-only -n1 | grep -E '\.c$|\.h$' | tr '\n' ' ')
+
+echo $CHANGED_FILES
+
+if [ -x "$FORMATTER" ] && [ ! -z "$CHANGED_FILES" ]; then
+    "$FORMATTER" -n "${CHANGED_FILES}"
+fi